/*ywc 2005-01-21 add for flash simulation*/
#include "armdefs.h"

ARMword
flash_read_byte(ARMul_State *state, ARMword addr)
{
	skyeye_config.mach->mach_flash_read_byte(state, addr);
}
ARMword
flash_read_halfword(ARMul_State *state, ARMword addr)
{
	skyeye_config.mach->mach_flash_read_halfword(state, addr);
}
ARMword
flash_read_word(ARMul_State *state, ARMword addr)
{
	skyeye_config.mach->mach_flash_read_word(state, addr);
}

void
flash_write_byte(ARMul_State *state, ARMword addr, ARMword data)
{
	skyeye_config.mach->mach_flash_write_byte(state, addr, data);
}
void
flash_write_halfword(ARMul_State *state, ARMword addr, ARMword data)
{
	skyeye_config.mach->mach_flash_write_halfword(state, addr, data);
}
void
flash_write_word(ARMul_State *state, ARMword addr, ARMword data)
{
	skyeye_config.mach->mach_flash_write_word(state, addr, data);
}

